<template>
  <div class="Card">
    <h1 class="Card-title">
      {{ title }}
    </h1>

    <div
      v-if="subtitle !== undefined"
      class="Card-subtitle"
    >
      {{ subtitle }}
    </div>

    <div class="Card-body">
      <slot />
    </div>
  </div>
</template>

<script>
  export default {
    name: 'Card',

    props: {
      title: {
        type: String,
        required: true
      },

      subtitle: {
        type: String,
        default: undefined
      }
    }
  }
</script>

<style scoped>
  .Card {
    all: initial;
    display: block;
    padding: 15px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.25);
    font-family: Arial, sans-serif;
    font-size: 15px;
  }

  .Card-title {
    display: block;
    margin: 0;
    font-size: 2em;
  }

  .Card-subtitle {
    display: block;
    opacity: 0.5;
  }

  .Card-body {
    display: block;
    margin-top: 0.5em;
  }
</style>
